Package: groovy.transform

## [Java] Annotation Type TypeChecked.TypeCheckingInfo

- groovy.transform.TypeChecked.TypeCheckingInfo

-     @Retention(RetentionPolicy.RUNTIME)
      @Target(ElementType.METHOD)
      public @interface TypeChecked.TypeCheckingInfo

  This annotation is added by

  TypeChecked:
    on methods which have type checking turned on. It is used to embed type information into binary, so that the type checker can use this information, if available, for pre-compiled classes.

- - ### Element Summary

    Required Element Summary
    Type | Name and Description
    --- | ---
    `String` | `inferredType` An encoded type information.

    Optional Element Summary
    Type | Name and Description
    --- | ---
    `int` | `version` Returns the type checker information protocol number.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Element Detail

    - #### public String inferredType

      An encoded type information.

      Returns:
        the inferred type

    - #### public int version

      Returns the type checker information protocol number. This is used if the format of the string used in inferredType() changes.

      Returns:
        the protocol version
      Default:
        0